Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008485opensim[GRID] Hypergridpublic2019-02-18 22:102019-02-23 14:08
ReporterNuk 
Assigned Totampa 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionno change required 
PlatformOSOS Version
Product Version0.9.0.1 
Target VersionFixed in Version 
Summary0008485: Does not pass into some openings in the walls of imported Collada houses
DescriptionTwo houses imported Collada, one can go through the doors and openings, the second stupor. Engine upODE put as said earlier. (photo attached, two walls of two houses with openings)
TagsNo tags attached.
Git Revision or version number
Run Mode Grid (Multiple Regions per Sim)
Physics EngineubODE
Environment.NET / Windows64
Mono VersionOther
ViewerFirestormOS
Attached Filesjpg file icon 2.JPG [^] (80,432 bytes) 2019-02-18 22:10

- Relationships
related to 0008486new Files are not imported periodically .dae (Collada). 

-  Notes
(0034799)
UbitUmarov (administrator)
2019-02-18 22:20

You need to set the physics tab on upload so physics shape type PRIM is available

http://opensimulator.org/wiki/How_To_Upload_Mesh [^]
(0034802)
Nuk (reporter)
2019-02-18 22:35

But I load the same at home (with default options). Absolutely equal loads of Dae houses. But in some I can not pass. It also happens that the texture is not placed on the surface (area)
(0034804)
Nuk (reporter)
2019-02-18 22:42

And openings to do after the download? Not found such a tool.
(0034807)
UbitUmarov (administrator)
2019-02-18 22:50

the default Bullet physics engine will show openings.
it does the same as setting the physics meshes to highest ( or second highest) visual LOD) on the upload tab. But it will not handle correctly the different physics shape type.
Note also that ubOde does support CONVEX on all prims, bullet does not currently
(0034818)
djphil (reporter)
2019-02-19 05:28

There are no openings after the upload because it is not necessary if you correctly upload your mesh.

Use "Physics" Tab "Step I: Level Of Details (LOD) and you will not have this problem anymore.
Even if you use "Lowest" you will be able to cross the door without problem.
Simply the Physic will be little detailed and few calculations.
If you use "Low", "Medium", "High" you will have a better Level of details but also more calculations.
Finally "From File" allows you to create your own Physics file. It is intended for experienced users.

Be careful, never use Step 2: Analyze, it breaks your mesh.
(0034822)
Nuk (reporter)
2019-02-20 23:09

Yes, but I don't have many features of the physics section active in Firestorm. (step 2 and step 3). And often if you set the physics, the model is not loaded (error or eternal loading process)
(0034832)
Nuk (reporter)
2019-02-22 10:17

Tried everything. Building imported into version 8 and then transferred to 9 - normally held in the openings of the avatar on any engine. If the house is imported directly into the 9 version of OS, then no engine does not pass into the openings. Physics included all species, and a high, and secondary. Already 30 times on ways house imported. But if once in 9 version, is not in any way avatar. Although physics is seen in the decomposition of the layout, what openings there are.
(0034833)
BillBlight (developer)
2019-02-22 10:28

On the features tab of the object you MUST set it's Physics shape type to PRIM, once you rez it ..

https://i.gyazo.com/6e8ef76d9a08a145394d6fc74126680e.gif [^]
(0034834)
BillBlight (developer)
2019-02-22 10:43

I just dropped 2 mesh walls/doorways that were made in 9 with ubODE and when set properly they work fine .. Once again ,this mantis is for actual BUGS not user education.
(0034835)
Nuk (reporter)
2019-02-22 10:48

Miracle, you're a wizard. Everything worked. But why then if to import transit through the version 8 OS of it it wasn't necessary to do, and everything worked at once?
(0034836)
BillBlight (developer)
2019-02-22 10:50

Things change, you need to change with them, you need to understand the changes, and not just assume you know the correct way in new version of the software and physics engines ..
(0034837)
Nuk (reporter)
2019-02-22 10:53

Yes, I would not distract you from serious work if it were systematic. That is, Elsi did not work for me everywhere. But I was surprised that identical houses, identical actions, and in one takes place in the other not. The only difference is that one is loaded through 8 OS, and the second through version 9 of the OS. I thought it was a mistake, not my lack of education. In the case of version 8 of the OS, I did not install anything extra, and everything worked even on the default engine. Therefore, I decided to inform you
(0034838)
BillBlight (developer)
2019-02-22 10:53
edited on: 2019-02-22 10:57

Right from the link you were given in the very first reply on this thread ..

"
Rez a copy and check it out
By default on 0.9 a new mesh is rezzed with Physics Shape Type CONVEX
Depending on what version of OpenSim you have, what physics engine it is using and other parameters, your mesh may rez in a mode that you don't expect.
Depending on whether your mesh is used as a root or a child prim, it may rez in a mode that you don't expect.
So rez a copy of your mesh, link it to something else if necessary, edit it and look at the Physics Shpe Type in the Features tab in the build dialog.

The Physics Shape Type has the following values:
NONE means your mesh is phantom (if a child prim). Root prims still use the PHANTOM setting in the Object tab for this.
CONVEX HULL means your mesh acts like it has been shrink-wrapped with an invisible shield. You cannot walk through holes in it.
PRIM means your mesh "collides" like the yellow triangles you saw in the Preview picture while setting the Physics Level of Detail"

To be blunt, failure to read the information provided on the correct methods for the new version does not indicate a bug.

(0034839)
Nuk (reporter)
2019-02-22 10:57

I tried to be helpful. But this moment can not be predicted or analyzed was logical (intuitive). I checked 32 variants (combinations) of different imports.
(0034840)
Nuk (reporter)
2019-02-22 10:58
edited on: 2019-02-22 11:05

Thank! In general, it’s good if the developer sees how the moment for the user is non-obvious and non-intuitive.
My regards

(0034841)
UbitUmarov (administrator)
2019-02-22 12:49

just a clarification:
"NONE means your mesh is phantom (if a child prim). Root prims still use the PHANTOM setting in the Object tab for this."

- NONE just means physiscs will basicly not know about this child prim, it is there only for visual purposes.

- Phanton is a linkset setting, the physics engine may know and act on it ( for example physical phantom objects do collide with land)
(0034843)
Nuk (reporter)
2019-02-23 06:01

Big thanks!
I just don’t understand why in the download window of Meshes in the client instead of the unnecessary (this model represts ...) you cannot make a better choice.
None
CONVEX HULL
PRIM
Respectfully!
(0034844)
BillBlight (developer)
2019-02-23 07:50
edited on: 2019-02-23 07:53

None
CONVEX HULL
PRIM

Is all the viewer supports complain to them ..

You don't seem to actually know how Mesh in relation to physics actually work, your suggestions are not helpful, and this is not an education forum.

(0034845)
tampa (reporter)
2019-02-23 14:08

I'm marking this as resolved now. As stated before this is a bug tracker, not a user support forum. If you require help in how to properly use viewers and OpenSim then please use the mailing list, IRC channels or a grid user forum, don't use Mantis unless you have an actual bug to report.

- Issue History
Date Modified Username Field Change
2019-02-18 22:10 Nuk New Issue
2019-02-18 22:10 Nuk File Added: 2.JPG
2019-02-18 22:20 UbitUmarov Note Added: 0034799
2019-02-18 22:35 Nuk Note Added: 0034802
2019-02-18 22:41 tampa Relationship added related to 0008486
2019-02-18 22:42 Nuk Note Added: 0034804
2019-02-18 22:50 UbitUmarov Note Added: 0034807
2019-02-19 05:28 djphil Note Added: 0034818
2019-02-20 23:09 Nuk Note Added: 0034822
2019-02-22 10:17 Nuk Note Added: 0034832
2019-02-22 10:28 BillBlight Note Added: 0034833
2019-02-22 10:43 BillBlight Note Added: 0034834
2019-02-22 10:48 Nuk Note Added: 0034835
2019-02-22 10:50 BillBlight Note Added: 0034836
2019-02-22 10:53 Nuk Note Added: 0034837
2019-02-22 10:53 BillBlight Note Added: 0034838
2019-02-22 10:57 BillBlight Note Edited: 0034838 View Revisions
2019-02-22 10:57 Nuk Note Added: 0034839
2019-02-22 10:58 Nuk Note Added: 0034840
2019-02-22 11:05 Nuk Note Edited: 0034840 View Revisions
2019-02-22 12:49 UbitUmarov Note Added: 0034841
2019-02-23 06:01 Nuk Note Added: 0034843
2019-02-23 07:50 BillBlight Note Added: 0034844
2019-02-23 07:52 BillBlight Note Edited: 0034844 View Revisions
2019-02-23 07:53 BillBlight Note Edited: 0034844 View Revisions
2019-02-23 14:08 tampa Note Added: 0034845
2019-02-23 14:08 tampa Status new => resolved
2019-02-23 14:08 tampa Resolution open => no change required
2019-02-23 14:08 tampa Assigned To => tampa


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker